Package: org.codehaus.groovy.antlr.treewalker

## [Java] Class SourcePrinter

- org.codehaus.groovy.antlr.treewalker.SourcePrinter

- An antlr AST visitor that prints groovy source code for each visited node to the supplied PrintStream.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected PrintStream` | `out` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SourcePrinter (PrintStream out, String[] tokenNames)` A visitor that prints groovy source code for each node visited.
    `SourcePrinter (PrintStream out, String[] tokenNames, boolean newLines)` A visitor that prints groovy source code for each node visited.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GroovySourceAST` | `pop()`
    `` | `protected void` | `print(GroovySourceAST t, int visit, String opening, String subsequent, String closing)`
    `` | `protected void` | `print(GroovySourceAST t, int visit, String value)`
    `` | `protected void` | `printNewlineAndIndent(GroovySourceAST t, int visit)`
    `` | `protected void` | `printUpdatingTabLevel(GroovySourceAST t, int visit, String opening, String subsequent, String closing)`
    `` | `void` | `push(GroovySourceAST t)`
    `` | `void` | `visitAbstract(GroovySourceAST t, int visit)`
    `` | `void` | `visitAnnotation(GroovySourceAST t, int visit)`
    `` | `void` | `visitAnnotationDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitAnnotationFieldDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitAnnotationMemberValuePair(GroovySourceAST t, int visit)`
    `` | `void` | `visitAnnotations(GroovySourceAST t, int visit)`
    `` | `void` | `visitArrayDeclarator(GroovySourceAST t, int visit)`
    `` | `void` | `visitAssign(GroovySourceAST t, int visit)`
    `` | `void` | `visitBand(GroovySourceAST t, int visit)`
    `` | `void` | `visitBandAssign(GroovySourceAST t, int visit)`
    `` | `void` | `visitBnot(GroovySourceAST t, int visit)`
    `` | `void` | `visitBor(GroovySourceAST t, int visit)`
    `` | `void` | `visitBorAssign(GroovySourceAST t, int visit)`
    `` | `void` | `visitBsr(GroovySourceAST t, int visit)`
    `` | `void` | `visitBsrAssign(GroovySourceAST t, int visit)`
    `` | `void` | `visitBxor(GroovySourceAST t, int visit)`
    `` | `void` | `visitBxorAssign(GroovySourceAST t, int visit)`
    `` | `void` | `visitCaseGroup(GroovySourceAST t, int visit)`
    `` | `void` | `visitClassDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitClosedBlock(GroovySourceAST t, int visit)`
    `` | `void` | `visitClosureList(GroovySourceAST t, int visit)`
    `` | `void` | `visitCompareTo(GroovySourceAST t, int visit)`
    `` | `void` | `visitCtorCall(GroovySourceAST t, int visit)`
    `` | `void` | `visitCtorIdent(GroovySourceAST t, int visit)`
    `` | `void` | `visitDec(GroovySourceAST t, int visit)`
    `` | `void` | `visitDefault(GroovySourceAST t, int visit)`
    `` | `void` | `visitDiv(GroovySourceAST t, int visit)`
    `` | `void` | `visitDivAssign(GroovySourceAST t, int visit)`
    `` | `void` | `visitDot(GroovySourceAST t, int visit)`
    `` | `void` | `visitDynamicMember(GroovySourceAST t, int visit)`
    `` | `void` | `visitElist(GroovySourceAST t, int visit)`
    `` | `void` | `visitEnumConstantDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitEnumDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitEqual(GroovySourceAST t, int visit)`
    `` | `void` | `visitExpr(GroovySourceAST t, int visit)`
    `` | `void` | `visitExtendsClause(GroovySourceAST t, int visit)`
    `` | `void` | `visitFinal(GroovySourceAST t, int visit)`
    `` | `void` | `visitForCondition(GroovySourceAST t, int visit)`
    `` | `void` | `visitForInIterable(GroovySourceAST t, int visit)`
    `` | `void` | `visitForInit(GroovySourceAST t, int visit)`
    `` | `void` | `visitForIterator(GroovySourceAST t, int visit)`
    `` | `void` | `visitGe(GroovySourceAST t, int visit)`
    `` | `void` | `visitGt(GroovySourceAST t, int visit)`
    `` | `void` | `visitIdent(GroovySourceAST t, int visit)`
    `` | `void` | `visitImplementsClause(GroovySourceAST t, int visit)`
    `` | `void` | `visitImplicitParameters(GroovySourceAST t, int visit)`
    `` | `void` | `visitImport(GroovySourceAST t, int visit)`
    `` | `void` | `visitInc(GroovySourceAST t, int visit)`
    `` | `void` | `visitIndexOp(GroovySourceAST t, int visit)`
    `` | `void` | `visitInstanceInit(GroovySourceAST t, int visit)`
    `` | `void` | `visitInterfaceDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitLabeledArg(GroovySourceAST t, int visit)`
    `` | `void` | `visitLabeledStat(GroovySourceAST t, int visit)`
    `` | `void` | `visitLand(GroovySourceAST t, int visit)`
    `` | `void` | `visitLe(GroovySourceAST t, int visit)`
    `` | `void` | `visitListConstructor(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralAs(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralAssert(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralBoolean(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralBreak(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralByte(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralCase(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralCatch(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralChar(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralContinue(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralDefault(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralDouble(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralFalse(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralFinally(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralFloat(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralFor(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralIf(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralIn(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralInstanceof(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralInt(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralLong(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralNative(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralNew(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralNull(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralPrivate(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralProtected(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralPublic(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralReturn(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralShort(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralStatic(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralSuper(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralSwitch(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralSynchronized(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralThis(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralThreadsafe(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralThrow(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralThrows(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralTransient(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralTrue(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralTry(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralVoid(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralVolatile(GroovySourceAST t, int visit)`
    `` | `void` | `visitLiteralWhile(GroovySourceAST t, int visit)`
    `` | `void` | `visitLnot(GroovySourceAST t, int visit)`
    `` | `void` | `visitLor(GroovySourceAST t, int visit)`
    `` | `void` | `visitLt(GroovySourceAST t, int visit)`
    `` | `void` | `visitMapConstructor(GroovySourceAST t, int visit)`
    `` | `void` | `visitMemberPointer(GroovySourceAST t, int visit)`
    `` | `void` | `visitMethodCall(GroovySourceAST t, int visit)`
    `` | `void` | `visitMethodDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitMinus(GroovySourceAST t, int visit)`
    `` | `void` | `visitMinusAssign(GroovySourceAST t, int visit)`
    `` | `void` | `visitMod(GroovySourceAST t, int visit)`
    `` | `void` | `visitModAssign(GroovySourceAST t, int visit)`
    `` | `void` | `visitModifiers(GroovySourceAST t, int visit)`
    `` | `void` | `visitMultiCatch(GroovySourceAST t, int visit)`
    `` | `void` | `visitMultiCatchTypes(GroovySourceAST t, int visit)`
    `` | `void` | `visitNotEqual(GroovySourceAST t, int visit)`
    `` | `void` | `visitNumBigDecimal(GroovySourceAST t, int visit)`
    `` | `void` | `visitNumBigInt(GroovySourceAST t, int visit)`
    `` | `void` | `visitNumDouble(GroovySourceAST t, int visit)`
    `` | `void` | `visitNumFloat(GroovySourceAST t, int visit)`
    `` | `void` | `visitNumInt(GroovySourceAST t, int visit)`
    `` | `void` | `visitNumLong(GroovySourceAST t, int visit)`
    `` | `void` | `visitObjblock(GroovySourceAST t, int visit)`
    `` | `void` | `visitOptionalDot(GroovySourceAST t, int visit)`
    `` | `void` | `visitPackageDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitParameterDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitParameters(GroovySourceAST t, int visit)`
    `` | `void` | `visitPlus(GroovySourceAST t, int visit)`
    `` | `void` | `visitPlusAssign(GroovySourceAST t, int visit)`
    `` | `void` | `visitPostDec(GroovySourceAST t, int visit)`
    `` | `void` | `visitPostInc(GroovySourceAST t, int visit)`
    `` | `void` | `visitQuestion(GroovySourceAST t, int visit)`
    `` | `void` | `visitRangeExclusive(GroovySourceAST t, int visit)`
    `` | `void` | `visitRangeInclusive(GroovySourceAST t, int visit)`
    `` | `void` | `visitRegexFind(GroovySourceAST t, int visit)`
    `` | `void` | `visitRegexMatch(GroovySourceAST t, int visit)`
    `` | `void` | `visitSelectSlot(GroovySourceAST t, int visit)`
    `` | `void` | `visitSl(GroovySourceAST t, int visit)`
    `` | `void` | `visitSlAssign(GroovySourceAST t, int visit)`
    `` | `void` | `visitSlist(GroovySourceAST t, int visit)`
    `` | `void` | `visitSpreadArg(GroovySourceAST t, int visit)`
    `` | `void` | `visitSpreadDot(GroovySourceAST t, int visit)`
    `` | `void` | `visitSpreadMapArg(GroovySourceAST t, int visit)`
    `` | `void` | `visitSr(GroovySourceAST t, int visit)`
    `` | `void` | `visitSrAssign(GroovySourceAST t, int visit)`
    `` | `void` | `visitStar(GroovySourceAST t, int visit)`
    `` | `void` | `visitStarAssign(GroovySourceAST t, int visit)`
    `` | `void` | `visitStarStar(GroovySourceAST t, int visit)`
    `` | `void` | `visitStarStarAssign(GroovySourceAST t, int visit)`
    `` | `void` | `visitStaticImport(GroovySourceAST t, int visit)`
    `` | `void` | `visitStaticInit(GroovySourceAST t, int visit)`
    `` | `void` | `visitStrictfp(GroovySourceAST t, int visit)`
    `` | `void` | `visitStringConstructor(GroovySourceAST t, int visit)`
    `` | `void` | `visitStringLiteral(GroovySourceAST t, int visit)`
    `` | `void` | `visitSuperCtorCall(GroovySourceAST t, int visit)`
    `` | `void` | `visitTraitDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitType(GroovySourceAST t, int visit)`
    `` | `void` | `visitTypeArgument(GroovySourceAST t, int visit)`
    `` | `void` | `visitTypeArguments(GroovySourceAST t, int visit)`
    `` | `void` | `visitTypeLowerBounds(GroovySourceAST t, int visit)`
    `` | `void` | `visitTypeParameter(GroovySourceAST t, int visit)`
    `` | `void` | `visitTypeParameters(GroovySourceAST t, int visit)`
    `` | `void` | `visitTypeUpperBounds(GroovySourceAST t, int visit)`
    `` | `void` | `visitTypecast(GroovySourceAST t, int visit)`
    `` | `void` | `visitUnaryMinus(GroovySourceAST t, int visit)`
    `` | `void` | `visitUnaryPlus(GroovySourceAST t, int visit)`
    `` | `void` | `visitVariableDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitVariableParameterDef(GroovySourceAST t, int visit)`
    `` | `void` | `visitWildcardType(GroovySourceAST t, int visit)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class VisitorAdapter` | `pop, push, setUp, tearDown, visitAbstract, visitAnnotation, visitAnnotationArrayInit, visitAnnotationDef, visitAnnotationFieldDef, visitAnnotationMemberValuePair, visitAnnotations, visitArrayDeclarator, visitAssign, visitAt, visitBand, visitBandAssign, visitBigSuffix, visitBlock, visitBnot, visitBor, visitBorAssign, visitBsr, visitBsrAssign, visitBxor, visitBxorAssign, visitCaseGroup, visitClassDef, visitClosedBlock, visitClosureList, visitClosureOp, visitColon, visitComma, visitCompareTo, visitCtorCall, visitCtorIdent, visitDec, visitDefault, visitDigit, visitDiv, visitDivAssign, visitDollar, visitDot, visitDynamicMember, visitElist, visitEmptyStat, visitEnumConstantDef, visitEnumDef, visitEof, visitEqual, visitEsc, visitExponent, visitExpr, visitExtendsClause, visitFinal, visitFloatSuffix, visitForCondition, visitForEachClause, visitForInIterable, visitForInit, visitForIterator, visitGe, visitGt, visitHexDigit, visitIdent, visitImplementsClause, visitImplicitParameters, visitImport, visitInc, visitIndexOp, visitInstanceInit, visitInterfaceDef, visitLabeledArg, visitLabeledStat, visitLand, visitLbrack, visitLcurly, visitLe, visitLetter, visitListConstructor, visitLiteralAs, visitLiteralAssert, visitLiteralBoolean, visitLiteralBreak, visitLiteralByte, visitLiteralCase, visitLiteralCatch, visitLiteralChar, visitLiteralClass, visitLiteralContinue, visitLiteralDef, visitLiteralDefault, visitLiteralDouble, visitLiteralElse, visitLiteralEnum, visitLiteralExtends, visitLiteralFalse, visitLiteralFinally, visitLiteralFloat, visitLiteralFor, visitLiteralIf, visitLiteralImplements, visitLiteralImport, visitLiteralIn, visitLiteralInstanceof, visitLiteralInt, visitLiteralInterface, visitLiteralLong, visitLiteralNative, visitLiteralNew, visitLiteralNull, visitLiteralPackage, visitLiteralPrivate, visitLiteralProtected, visitLiteralPublic, visitLiteralReturn, visitLiteralShort, visitLiteralStatic, visitLiteralSuper, visitLiteralSwitch, visitLiteralSynchronized, visitLiteralThis, visitLiteralThreadsafe, visitLiteralThrow, visitLiteralThrows, visitLiteralTransient, visitLiteralTrue, visitLiteralTry, visitLiteralVoid, visitLiteralVolatile, visitLiteralWhile, visitLnot, visitLor, visitLparen, visitLt, visitMapConstructor, visitMemberPointer, visitMethodCall, visitMethodDef, visitMinus, visitMinusAssign, visitMlComment, visitMod, visitModAssign, visitModifiers, visitMultiCatch, visitMultiCatchTypes, visitNls, visitNotEqual, visitNullTreeLookahead, visitNumBigDecimal, visitNumBigInt, visitNumDouble, visitNumFloat, visitNumInt, visitNumLong, visitObjblock, visitOneNl, visitOptionalDot, visitPackageDef, visitParameterDef, visitParameters, visitPlus, visitPlusAssign, visitPostDec, visitPostInc, visitQuestion, visitRangeExclusive, visitRangeInclusive, visitRbrack, visitRcurly, visitRegexFind, visitRegexMatch, visitRegexpCtorEnd, visitRegexpLiteral, visitRegexpSymbol, visitRparen, visitSelectSlot, visitSemi, visitShComment, visitSl, visitSlAssign, visitSlComment, visitSlist, visitSpreadArg, visitSpreadDot, visitSpreadMapArg, visitSr, visitSrAssign, visitStar, visitStarAssign, visitStarStar, visitStarStarAssign, visitStaticImport, visitStaticInit, visitStrictfp, visitStringCh, visitStringConstructor, visitStringCtorEnd, visitStringCtorMiddle, visitStringCtorStart, visitStringLiteral, visitStringNl, visitSuperCtorCall, visitTraitDef, visitTripleDot, visitType, visitTypeArgument, visitTypeArguments, visitTypeLowerBounds, visitTypeParameter, visitTypeParameters, visitTypeUpperBounds, visitTypecast, visitUnaryMinus, visitUnaryPlus, visitUnusedConst, visitUnusedDo, visitUnusedGoto, visitVariableDef, visitVariableParameterDef, visitVocab, visitWildcardType, visitWs`

- - ### Field Detail

    - #### protected final PrintStream out

  - ### Constructor Detail

    - #### public SourcePrinter(PrintStream out, String[] tokenNames)

      A visitor that prints groovy source code for each node visited.

      Parameters:
        `out` - where to print the source code to
        `tokenNames` - an array of token names from antlr

    - #### public SourcePrinter(PrintStream out, String[] tokenNames, boolean newLines)

      A visitor that prints groovy source code for each node visited.

      Parameters:
        `out` - where to print the source code to
        `tokenNames` - an array of token names from antlr
        `newLines` - output newline character

  - ### Method Detail

    - #### public GroovySourceAST pop()

    - #### protected void print(GroovySourceAST t, int visit, String opening, String subsequent, String closing)

    - #### protected void print(GroovySourceAST t, int visit, String value)

    - #### protected void printNewlineAndIndent(GroovySourceAST t, int visit)

    - #### protected void printUpdatingTabLevel(GroovySourceAST t, int visit, String opening, String subsequent, String closing)

    - #### public void push(GroovySourceAST t)

    - #### public void visitAbstract(GroovySourceAST t, int visit)

    - #### public void visitAnnotation(GroovySourceAST t, int visit)

    - #### public void visitAnnotationDef(GroovySourceAST t, int visit)

    - #### public void visitAnnotationFieldDef(GroovySourceAST t, int visit)

    - #### public void visitAnnotationMemberValuePair(GroovySourceAST t, int visit)

    - #### public void visitAnnotations(GroovySourceAST t, int visit)

    - #### public void visitArrayDeclarator(GroovySourceAST t, int visit)

    - #### public void visitAssign(GroovySourceAST t, int visit)

    - #### public void visitBand(GroovySourceAST t, int visit)

    - #### public void visitBandAssign(GroovySourceAST t, int visit)

    - #### public void visitBnot(GroovySourceAST t, int visit)

    - #### public void visitBor(GroovySourceAST t, int visit)

    - #### public void visitBorAssign(GroovySourceAST t, int visit)

    - #### public void visitBsr(GroovySourceAST t, int visit)

    - #### public void visitBsrAssign(GroovySourceAST t, int visit)

    - #### public void visitBxor(GroovySourceAST t, int visit)

    - #### public void visitBxorAssign(GroovySourceAST t, int visit)

    - #### public void visitCaseGroup(GroovySourceAST t, int visit)

    - #### public void visitClassDef(GroovySourceAST t, int visit)

    - #### public void visitClosedBlock(GroovySourceAST t, int visit)

    - #### public void visitClosureList(GroovySourceAST t, int visit)

    - #### public void visitCompareTo(GroovySourceAST t, int visit)

    - #### public void visitCtorCall(GroovySourceAST t, int visit)

    - #### public void visitCtorIdent(GroovySourceAST t, int visit)

    - #### public void visitDec(GroovySourceAST t, int visit)

    - #### public void visitDefault(GroovySourceAST t, int visit)

    - #### public void visitDiv(GroovySourceAST t, int visit)

    - #### public void visitDivAssign(GroovySourceAST t, int visit)

    - #### public void visitDot(GroovySourceAST t, int visit)

    - #### public void visitDynamicMember(GroovySourceAST t, int visit)

    - #### public void visitElist(GroovySourceAST t, int visit)

    - #### public void visitEnumConstantDef(GroovySourceAST t, int visit)

    - #### public void visitEnumDef(GroovySourceAST t, int visit)

    - #### public void visitEqual(GroovySourceAST t, int visit)

    - #### public void visitExpr(GroovySourceAST t, int visit)

    - #### public void visitExtendsClause(GroovySourceAST t, int visit)

    - #### public void visitFinal(GroovySourceAST t, int visit)

    - #### public void visitForCondition(GroovySourceAST t, int visit)

    - #### public void visitForInIterable(GroovySourceAST t, int visit)

    - #### public void visitForInit(GroovySourceAST t, int visit)

    - #### public void visitForIterator(GroovySourceAST t, int visit)

    - #### public void visitGe(GroovySourceAST t, int visit)

    - #### public void visitGt(GroovySourceAST t, int visit)

    - #### public void visitIdent(GroovySourceAST t, int visit)

    - #### public void visitImplementsClause(GroovySourceAST t, int visit)

    - #### public void visitImplicitParameters(GroovySourceAST t, int visit)

    - #### public void visitImport(GroovySourceAST t, int visit)

    - #### public void visitInc(GroovySourceAST t, int visit)

    - #### public void visitIndexOp(GroovySourceAST t, int visit)

    - #### public void visitInstanceInit(GroovySourceAST t, int visit)

    - #### public void visitInterfaceDef(GroovySourceAST t, int visit)

    - #### public void visitLabeledArg(GroovySourceAST t, int visit)

    - #### public void visitLabeledStat(GroovySourceAST t, int visit)

    - #### public void visitLand(GroovySourceAST t, int visit)

    - #### public void visitLe(GroovySourceAST t, int visit)

    - #### public void visitListConstructor(GroovySourceAST t, int visit)

    - #### public void visitLiteralAs(GroovySourceAST t, int visit)

    - #### public void visitLiteralAssert(GroovySourceAST t, int visit)

    - #### public void visitLiteralBoolean(GroovySourceAST t, int visit)

    - #### public void visitLiteralBreak(GroovySourceAST t, int visit)

    - #### public void visitLiteralByte(GroovySourceAST t, int visit)

    - #### public void visitLiteralCase(GroovySourceAST t, int visit)

    - #### public void visitLiteralCatch(GroovySourceAST t, int visit)

    - #### public void visitLiteralChar(GroovySourceAST t, int visit)

    - #### public void visitLiteralContinue(GroovySourceAST t, int visit)

    - #### public void visitLiteralDefault(GroovySourceAST t, int visit)

    - #### public void visitLiteralDouble(GroovySourceAST t, int visit)

    - #### public void visitLiteralFalse(GroovySourceAST t, int visit)

    - #### public void visitLiteralFinally(GroovySourceAST t, int visit)

    - #### public void visitLiteralFloat(GroovySourceAST t, int visit)

    - #### public void visitLiteralFor(GroovySourceAST t, int visit)

    - #### public void visitLiteralIf(GroovySourceAST t, int visit)

    - #### public void visitLiteralIn(GroovySourceAST t, int visit)

    - #### public void visitLiteralInstanceof(GroovySourceAST t, int visit)

    - #### public void visitLiteralInt(GroovySourceAST t, int visit)

    - #### public void visitLiteralLong(GroovySourceAST t, int visit)

    - #### public void visitLiteralNative(GroovySourceAST t, int visit)

    - #### public void visitLiteralNew(GroovySourceAST t, int visit)

    - #### public void visitLiteralNull(GroovySourceAST t, int visit)

    - #### public void visitLiteralPrivate(GroovySourceAST t, int visit)

    - #### public void visitLiteralProtected(GroovySourceAST t, int visit)

    - #### public void visitLiteralPublic(GroovySourceAST t, int visit)

    - #### public void visitLiteralReturn(GroovySourceAST t, int visit)

    - #### public void visitLiteralShort(GroovySourceAST t, int visit)

    - #### public void visitLiteralStatic(GroovySourceAST t, int visit)

    - #### public void visitLiteralSuper(GroovySourceAST t, int visit)

    - #### public void visitLiteralSwitch(GroovySourceAST t, int visit)

    - #### public void visitLiteralSynchronized(GroovySourceAST t, int visit)

    - #### public void visitLiteralThis(GroovySourceAST t, int visit)

    - #### public void visitLiteralThreadsafe(GroovySourceAST t, int visit)

    - #### public void visitLiteralThrow(GroovySourceAST t, int visit)

    - #### public void visitLiteralThrows(GroovySourceAST t, int visit)

    - #### public void visitLiteralTransient(GroovySourceAST t, int visit)

    - #### public void visitLiteralTrue(GroovySourceAST t, int visit)

    - #### public void visitLiteralTry(GroovySourceAST t, int visit)

    - #### public void visitLiteralVoid(GroovySourceAST t, int visit)

    - #### public void visitLiteralVolatile(GroovySourceAST t, int visit)

    - #### public void visitLiteralWhile(GroovySourceAST t, int visit)

    - #### public void visitLnot(GroovySourceAST t, int visit)

    - #### public void visitLor(GroovySourceAST t, int visit)

    - #### public void visitLt(GroovySourceAST t, int visit)

    - #### public void visitMapConstructor(GroovySourceAST t, int visit)

    - #### public void visitMemberPointer(GroovySourceAST t, int visit)

    - #### public void visitMethodCall(GroovySourceAST t, int visit)

    - #### public void visitMethodDef(GroovySourceAST t, int visit)

    - #### public void visitMinus(GroovySourceAST t, int visit)

    - #### public void visitMinusAssign(GroovySourceAST t, int visit)

    - #### public void visitMod(GroovySourceAST t, int visit)

    - #### public void visitModAssign(GroovySourceAST t, int visit)

    - #### public void visitModifiers(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitMultiCatch(GroovySourceAST t, int visit)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitMultiCatchTypes(GroovySourceAST t, int visit)

    - #### public void visitNotEqual(GroovySourceAST t, int visit)

    - #### public void visitNumBigDecimal(GroovySourceAST t, int visit)

    - #### public void visitNumBigInt(GroovySourceAST t, int visit)

    - #### public void visitNumDouble(GroovySourceAST t, int visit)

    - #### public void visitNumFloat(GroovySourceAST t, int visit)

    - #### public void visitNumInt(GroovySourceAST t, int visit)

    - #### public void visitNumLong(GroovySourceAST t, int visit)

    - #### public void visitObjblock(GroovySourceAST t, int visit)

    - #### public void visitOptionalDot(GroovySourceAST t, int visit)

    - #### public void visitPackageDef(GroovySourceAST t, int visit)

    - #### public void visitParameterDef(GroovySourceAST t, int visit)

    - #### public void visitParameters(GroovySourceAST t, int visit)

    - #### public void visitPlus(GroovySourceAST t, int visit)

    - #### public void visitPlusAssign(GroovySourceAST t, int visit)

    - #### public void visitPostDec(GroovySourceAST t, int visit)

    - #### public void visitPostInc(GroovySourceAST t, int visit)

    - #### public void visitQuestion(GroovySourceAST t, int visit)

    - #### public void visitRangeExclusive(GroovySourceAST t, int visit)

    - #### public void visitRangeInclusive(GroovySourceAST t, int visit)

    - #### public void visitRegexFind(GroovySourceAST t, int visit)

    - #### public void visitRegexMatch(GroovySourceAST t, int visit)

    - #### public void visitSelectSlot(GroovySourceAST t, int visit)

    - #### public void visitSl(GroovySourceAST t, int visit)

    - #### public void visitSlAssign(GroovySourceAST t, int visit)

    - #### public void visitSlist(GroovySourceAST t, int visit)

    - #### public void visitSpreadArg(GroovySourceAST t, int visit)

    - #### public void visitSpreadDot(GroovySourceAST t, int visit)

    - #### public void visitSpreadMapArg(GroovySourceAST t, int visit)

    - #### public void visitSr(GroovySourceAST t, int visit)

    - #### public void visitSrAssign(GroovySourceAST t, int visit)

    - #### public void visitStar(GroovySourceAST t, int visit)

    - #### public void visitStarAssign(GroovySourceAST t, int visit)

    - #### public void visitStarStar(GroovySourceAST t, int visit)

    - #### public void visitStarStarAssign(GroovySourceAST t, int visit)

    - #### public void visitStaticImport(GroovySourceAST t, int visit)

    - #### public void visitStaticInit(GroovySourceAST t, int visit)

    - #### public void visitStrictfp(GroovySourceAST t, int visit)

    - #### public void visitStringConstructor(GroovySourceAST t, int visit)

    - #### public void visitStringLiteral(GroovySourceAST t, int visit)

    - #### public void visitSuperCtorCall(GroovySourceAST t, int visit)

    - #### public void visitTraitDef(GroovySourceAST t, int visit)

    - #### public void visitType(GroovySourceAST t, int visit)

    - #### public void visitTypeArgument(GroovySourceAST t, int visit)

    - #### public void visitTypeArguments(GroovySourceAST t, int visit)

    - #### public void visitTypeLowerBounds(GroovySourceAST t, int visit)

    - #### public void visitTypeParameter(GroovySourceAST t, int visit)

    - #### public void visitTypeParameters(GroovySourceAST t, int visit)

    - #### public void visitTypeUpperBounds(GroovySourceAST t, int visit)

    - #### public void visitTypecast(GroovySourceAST t, int visit)

    - #### public void visitUnaryMinus(GroovySourceAST t, int visit)

    - #### public void visitUnaryPlus(GroovySourceAST t, int visit)

    - #### public void visitVariableDef(GroovySourceAST t, int visit)

    - #### public void visitVariableParameterDef(GroovySourceAST t, int visit)

    - #### public void visitWildcardType(GroovySourceAST t, int visit)